Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - CustomApplicationFields

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Custom Application Fields

Custom metadata fields for Applications.

Get custom application field

Get single custom application field.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
name
required
string

Display name of the custom field.

required
required
boolean

Whether a value is required when creating or updating an application.

type
required
string
Enum: "TEXT" "OPTIONS"

TEXT, NUMBER, BOOLEAN, SELECT, etc.

description
string <= 1000 characters

Help text in UI.

options
Array of strings

Options for SELECT type.

id
string <uuid>

System-assigned UUID (read-only).

Response samples

Content type
application/json
{
  • "name": "string",
  • "description": "some text...",
  • "required": true,
  • "type": "TEXT",
  • "options": [
    • "string"
    ],
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Update custom application field

Update a custom application field. If the name is changed, all applications that use the field will refer to the new name. If the type is changed, there are currently no checks for existing values that have been assigned to applications!

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Request Body schema: application/json
required
name
required
string

Display name of the custom field.

required
required
boolean

Whether a value is required when creating or updating an application.

type
required
string
Enum: "TEXT" "OPTIONS"

TEXT, NUMBER, BOOLEAN, SELECT, etc.

description
string <= 1000 characters

Help text in UI.

options
Array of strings

Options for SELECT type.

id
string <uuid>

System-assigned UUID (read-only).

Responses

Response Schema: application/json
name
required
string

Display name of the custom field.

required
required
boolean

Whether a value is required when creating or updating an application.

type
required
string
Enum: "TEXT" "OPTIONS"

TEXT, NUMBER, BOOLEAN, SELECT, etc.

description
string <= 1000 characters

Help text in UI.

options
Array of strings

Options for SELECT type.

id
string <uuid>

System-assigned UUID (read-only).

Request samples

Content type
application/json
{
  • "name": "string",
  • "description": "some text...",
  • "required": true,
  • "type": "TEXT",
  • "options": [
    • "string"
    ],
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Response samples

Content type
application/json
{
  • "name": "string",
  • "description": "some text...",
  • "required": true,
  • "type": "TEXT",
  • "options": [
    • "string"
    ],
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Delete custom application field

Delete a custom application field.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

List custom application fields

Get filtered and paged list of all custom application fields.

Authorizations:
bearerAuth
query Parameters
text
string
name
string
type
string
Enum: "TEXT" "OPTIONS"
required
boolean
page
integer
Default: 1

One-based page index (1..N)

size
integer
Default: 10

The size of the page to be returned

sort
Array of arrays

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Responses

Response Schema: application/json
required
Array of objects (CustomFieldDTO)

List of CustomFieldDTO results for the current page.

last
required
boolean

Whether this is the last page.

number
required
integer <int32>

Current page number (1-based).

size
required
integer <int32>

Requested page size.

totalElements
required
integer <int64>

Total number of matching results across all pages.

totalPages
required
integer <int32>

Total number of pages.

Response samples

Content type
application/json
{
  • "content": [
    • {
      }
    ],
  • "size": 0,
  • "number": 0,
  • "last": true,
  • "totalPages": 0,
  • "totalElements": 0
}

Create custom application field

Create a new custom application field.

Authorizations:
bearerAuth
Request Body schema: application/json
required
name
required
string

Display name of the custom field.

required
required
boolean

Whether a value is required when creating or updating an application.

type
required
string
Enum: "TEXT" "OPTIONS"

TEXT, NUMBER, BOOLEAN, SELECT, etc.

description
string <= 1000 characters

Help text in UI.

options
Array of strings

Options for SELECT type.

id
string <uuid>

System-assigned UUID (read-only).

Responses

Response Schema: application/json
name
required
string

Display name of the custom field.

required
required
boolean

Whether a value is required when creating or updating an application.

type
required
string
Enum: "TEXT" "OPTIONS"

TEXT, NUMBER, BOOLEAN, SELECT, etc.

description
string <= 1000 characters

Help text in UI.

options
Array of strings

Options for SELECT type.

id
string <uuid>

System-assigned UUID (read-only).

Request samples

Content type
application/json
{
  • "name": "string",
  • "description": "some text...",
  • "required": true,
  • "type": "TEXT",
  • "options": [
    • "string"
    ],
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Response samples

Content type
application/json
{
  • "name": "string",
  • "description": "some text...",
  • "required": true,
  • "type": "TEXT",
  • "options": [
    • "string"
    ],
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}